de.caff.generics

## Class LongIndexable.LongIndexableSpliterator

- java.lang.Object
- - de.caff.generics.LongIndexable.LongIndexableSpliterator

- All Implemented Interfaces:
    java.util.Spliterator<java.lang.Long>, java.util.Spliterator.OfLong, java.util.Spliterator.OfPrimitive<java.lang.Long,java.util.function.LongConsumer,java.util.Spliterator.OfLong>
  Enclosing interface:
    LongIndexable

      public static class LongIndexable.LongIndexableSpliterator
      extends java.lang.Object
      implements java.util.Spliterator.OfLong

  Spliterator for long indexables.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Spliterator

      `java.util.Spliterator.OfDouble, java.util.Spliterator.OfInt, java.util.Spliterator.OfLong, java.util.Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends java.util.Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

  - ### Field Summary

    - ### Fields inherited from interface java.util.Spliterator

      `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongIndexableSpliterator(LongIndexable indexable)` Instantiate a mutable spliterator for an long indexable.
    `LongIndexableSpliterator(LongIndexable indexable, int start, int fence, boolean immutable)` Instantiate a spliterator for part of an long indexable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `characteristics()`
    `long` | `estimateSize()`
    `boolean` | `tryAdvance(java.util.function.LongConsumer action)`
    `java.util.Spliterator.OfLong` | `trySplit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Spliterator.OfLong

      `forEachRemaining, forEachRemaining, tryAdvance`

    - ### Methods inherited from interface java.util.Spliterator

      `getComparator, getExactSizeIfKnown, hasCharacteristics`

- - ### Constructor Detail

    - #### LongIndexableSpliterator

          public LongIndexableSpliterator(@NotNull
                                          LongIndexable indexable)

      Instantiate a mutable spliterator for an long indexable.
      Parameters:
        `indexable` - indexable of this spliterator

    - #### LongIndexableSpliterator

          public LongIndexableSpliterator(@NotNull
                                          LongIndexable indexable,
                                          int start,
                                          int fence,
                                          boolean immutable)

      Instantiate a spliterator for part of an long indexable.
      Parameters:
        `indexable` - indexable of this spliterator
        `start` - starting index of iteration
        `fence` - ending index of iteration, not included
        `immutable` - is the underlying indexable immutable? Use with care!

  - ### Method Detail

    - #### trySplit

          public java.util.Spliterator.OfLong trySplit()

      Specified by:
        `trySplit` in interface `java.util.Spliterator<java.lang.Long>`
      Specified by:
        `trySplit` in interface `java.util.Spliterator.OfLong`
      Specified by:
        `trySplit` in interface `java.util.Spliterator.OfPrimitive<java.lang.Long,java.util.function.LongConsumer,java.util.Spliterator.OfLong>`

    - #### tryAdvance

          public boolean tryAdvance(@NotNull
                                    java.util.function.LongConsumer action)

      Specified by:
        `tryAdvance` in interface `java.util.Spliterator.OfLong`
      Specified by:
        `tryAdvance` in interface `java.util.Spliterator.OfPrimitive<java.lang.Long,java.util.function.LongConsumer,java.util.Spliterator.OfLong>`

    - #### estimateSize

          public long estimateSize()

      Specified by:
        `estimateSize` in interface `java.util.Spliterator<java.lang.Long>`

    - #### characteristics

          public int characteristics()

      Specified by:
        `characteristics` in interface `java.util.Spliterator<java.lang.Long>`